### Method

# Camel Session get_oauth2_access_token_sync

since: 3.28

#### Declaration [src]

    gboolean
    camel_session_get_oauth2_access_token_sync (
      CamelSession* session,
      CamelService* service,
      gchar** out_access_token,
      gint* out_expires_in,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Obtains the OAuth 2.0 access token for `service` along with its expiry in seconds from the current time (or 0 if unknown).

Free the returned access token with `g_free()` when no longer needed.

Available since: 3.28

#### Parameters

`service`

  Type: `CamelService`

  A `CamelService`.

  The data is owned by the caller of the method.

`out_access_token`

  Type: `gchar**`

  Return location for the access token, or `NULL`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`out_expires_in`

  Type: `gint*`

  Return location for the token expiry, or `NULL`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.